# Class FitsTableWriter.PrimaryType

java.lang.Object
uk.ac.starlink.fits.FitsTableWriter.PrimaryType

Enclosing class:
  `FitsTableWriter`

public abstract static class FitsTableWriter.PrimaryType extends Object
Characterises the type of Primary HDU that will precede table extensions written by this writer.

Author:
  Mark Taylor (Starlink)

## Field Summary

Fields
Modifier and Type
Field
Description
`static final FitsTableWriter.PrimaryType`
`BASIC`
Basic Primary HDU, containing minimal headers and no data part.
`static final FitsTableWriter.PrimaryType`
`NONE`
No Primary HDU is written.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`PrimaryType(String name)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`abstract boolean`
`allowSignedByte()`
Indicates whether signed byte values will be permitted in files with this PHDU type.
`String`
`toString()`
`abstract void`
`writeTables(FitsTableWriter writer, uk.ac.starlink.table.TableSequence tseq, OutputStream out)`
Writes a sequence of tables to an output stream.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### BASIC

public static final FitsTableWriter.PrimaryType BASIC
Basic Primary HDU, containing minimal headers and no data part.

### NONE

public static final FitsTableWriter.PrimaryType NONE
No Primary HDU is written. The resulting output will therefore not be a legal FITS file, but it can be appended to an existing FITS file with a valid Primary HDU and perhaps other extension HDUs.

## Constructor Details

### PrimaryType

protected PrimaryType(String name)
Constructor.

## Method Details

### allowSignedByte

public abstract boolean allowSignedByte()
Indicates whether signed byte values will be permitted in files with this PHDU type.

Returns:
  whether signed bytes are allowed

### writeTables

public abstract void writeTables(FitsTableWriter writer, uk.ac.starlink.table.TableSequence tseq, OutputStream out) throws IOException
Writes a sequence of tables to an output stream.

Parameters:
  `writer` - fits writer instance
  `tseq` - sequence of tables
  `out` - destination stream
Throws:
  `IOException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`